{
  name: "Black Sludge",
  spritenum: 34,
  fling: {
  	basePower: 30,
  },
  onResidualOrder: 5,
  onResidualSubOrder: 4,
  onResidual(pokemon) {
  	if (pokemon.hasType('Poison')) {
  		this.heal(pokemon.baseMaxhp / 16);
  	} else {
  		this.damage(pokemon.baseMaxhp / 8);
  	}
  },
  num: 281,
  gen: 4,
}